package examples.intro;

import javax.ejb.*;
import java.util.*;
import java.lang.Integer;

/**
 *
 * @author Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 */
public class EmpBeanPK implements java.io.Serializable {

  public int empno;
  public EmpBeanPK(int empno) {this.empno = empno; }

  public EmpBeanPK() { }
  public String toString() {
    Integer n = new Integer(empno);
    return n.toString();
  }
  
  public int hashCode() {
    return empno;
  }

  public boolean equals(Object other) {
    return ((EmpBeanPK) other).empno == this.empno;
  }
  
}


